/*
 * Ukazka pouziti Set.
 */
package ija.collections.collections;

import java.util.*;

/**
 * Ukazka pouziti Set
 * @author Radek Koci
 */
public class SetDemo {
    public static void main(String[] args) {
        SetDemo.m1();
        SetDemo.m2();
    }

    public static void m1() {
        System.out.println("HashSet: polozky Person");
        
	Set mnozina = new HashSet();
	Person c1 = new Person("Ferda");
	Person c2 = new Person("Franta");

	mnozina.add(c1);
	mnozina.add(c2);

	System.out.println("Je Franta v mnozine? " + mnozina.contains(c2));

	Person c3 = new Person("Franta");
	System.out.println("Je Franta v mnozine? " + mnozina.contains(c3));
    }

    public static void m2() {
        System.out.println("HashSet: polozky CorrectPerson");

	Set mnozina = new HashSet();
	Person c1 = new CorrectPerson("Ferda");
	Person c2 = new CorrectPerson("Franta");

	mnozina.add(c1);
	mnozina.add(c2);

	System.out.println("Je Franta v mnozine? " + mnozina.contains(c2));

	Person c3 = new CorrectPerson("Franta");
	System.out.println("Je Franta v mnozine? " + mnozina.contains(c3));
    }
}
